ImportError for miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/scipy/interpolate/dfitpack.cpython-38- x86_64-linux-gnu.so: failed to map segment from shared object after native install.

I am trying to make a new conda environment with the latest version of qiime2 (2022.8) and have done so following the exact instructions on the "Install QIIME 2 within a conda environment" page of the qiime2 docs (I am working via online portal in the command line of a server). The install took several hours, but otherwise seemed to complete without issue (I just mention the length of time becuase this has not been the case on previous installs). I have a cleaned (conda clean -a) and up-to-date install of miniconda3.

After install, when I attempt to activate the new environment, I get the following errors.

QIIME is caching your current deployment for improved performance. This may take a few moments and should only happen once per deployment.
Traceback (most recent call last):
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2cli/util.py", line 224, in get_plugin_manager
    return qiime2.sdk.PluginManager.reuse_existing()
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/qiime2/sdk/plugin_manager.py", line 58, in reuse_existing
    raise UninitializedPluginManagerError
qiime2.sdk.plugin_manager.UninitializedPluginManagerError
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/bin/qiime", line 11, in <module>
    sys.exit(qiime())
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/click/core.py", line 1130, in __call__
    return self.main(*args, **kwargs)
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/click/core.py", line 1054, in main
    with self.make_context(prog_name, args, **extra) as ctx:
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/click/core.py", line 920, in make_context
    self.parse_args(ctx, args)
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2cli/click/command.py", line 43, in parse_args
    return super().parse_args(ctx, args)
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/click/core.py", line 1610, in parse_args
    echo(ctx.get_help(), color=ctx.color)
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/click/core.py", line 699, in get_help
    return self.command.get_help(self)
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/click/core.py", line 1298, in get_help
    self.format_help(ctx, formatter)
 File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/click/core.py", line 1331, in format_help
    self.format_options(ctx, formatter)
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2cli/click/command.py", line 157, in format_options
    for subcommand in self.list_commands(ctx):
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2cli/commands.py", line 92, in list_commands
    plugins = sorted(self._plugin_lookup)
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2cli/commands.py", line 76, in _plugin_lookup
    import q2cli.core.cache
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2cli/core/cache.py", line 285, in <module>
    CACHE = DeploymentCache()
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2cli/core/cache.py", line 61, in __init__
    self._state = self._get_cached_state(refresh=refresh)
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2cli/core/cache.py", line 107, in _get_cached_state
    self._cache_current_state(current_requirements)
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2cli/core/cache.py", line 205, in _cache_current_state
    state = self._get_current_state()
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2cli/core/cache.py", line 253, in _get_current_state
    plugin_manager = q2cli.util.get_plugin_manager()
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2cli/util.py", line 236, in get_plugin_manager
    return qiime2.sdk.PluginManager()
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/qiime2/sdk/plugin_manager.py", line 67, in __new__
    self._init(add_plugins=add_plugins)
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/qiime2/sdk/plugin_manager.py", line 105, in _init
    plugin = entry_point.load()
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2471, in load
    return self.resolve()
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2477, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2_feature_table/__init__.py", line 9, in <module>
    from ._normalize import rarefy
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2_feature_table/_normalize.py", line 9, in <module>
    import biom
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/biom/__init__.py", line 51, in <module>
    from .table import Table
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/biom/table.py", line 175, in <module>
    import scipy.stats
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/scipy/stats/__init__.py", line 453, in <module>
    from ._stats_py import *
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/scipy/stats/_stats_py.py", line 44, in <module>
    from . import distributions
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/scipy/stats/distributions.py", line 10, in <module>
    from . import _continuous_distns
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/scipy/stats/_continuous_distns.py", line 18, in <module>
    from scipy import interpolate
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/scipy/interpolate/__init__.py", line 166, in <module>
    from ._interpolate import *
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/scipy/interpolate/_interpolate.py", line 15, in <module>
    from . import _fitpack_py
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/scipy/interpolate/_fitpack_py.py", line 9, in <module>
    from ._fitpack_impl import bisplrep, bisplev, dblint
  File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/scipy/interpolate/_fitpack_impl.py", line 35, in <module>
    from . import dfitpack
ImportError: /home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/scipy/interpolate/dfitpack.cpython-38-x86_64-linux-gnu.so: failed to map segment from shared object

The environment is, however, still activated despite these errors. If I then try run qiime I get the following errors:

> 
> QIIME is caching your current deployment for improved performance. This may take a few moments and should only happen onc
> e per deployment.
> Traceback (most recent call last):
>   File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2cli/util.py", line 224, in get_plugin_man
> ager
>     return qiime2.sdk.PluginManager.reuse_existing()
>   File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/qiime2/sdk/plugin_manager.py", line 58, in 
> reuse_existing
>     raise UninitializedPluginManagerError
> qiime2.sdk.plugin_manager.UninitializedPluginManagerError
> During handling of the above exception, another exception occurred:
> Traceback (most recent call last):
>   File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/bin/qiime", line 11, in <module>
>     sys.exit(qiime())
>   File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/click/core.py", line 1130, in __call__
>     return self.main(*args, **kwargs)
>   File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/click/core.py", line 1054, in main
>     with self.make_context(prog_name, args, **extra) as ctx:
>   File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/click/core.py", line 920, in make_context
>     self.parse_args(ctx, args)
>   File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2cli/click/command.py", line 43, in parse_
> args
>     return super().parse_args(ctx, args)
>   File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/click/core.py", line 1613, in parse_args
>     rest = super().parse_args(ctx, args)
>   File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/click/core.py", line 1378, in parse_args
>     value, args = param.handle_parse_result(ctx, opts, args)
>   File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/click/core.py", line 2360, in handle_parse_
> result
>     value = self.process_value(ctx, value)
>   File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/click/core.py", line 2322, in process_value
>     value = self.callback(ctx, self, value)
>   File "/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/click/core.py", line 1273, in show_help
>     echo(ctx.get_help(), color=ctx.color)

Looking at other questions in the forum, I know that out of date conda installs have been a problem, so I did try a clean install of miniconda3, this made no difference. Another question in this forum identified an env variable as problematic, so I checked for this too. The output for env is as follows for me:

CONDA_SHLVL=2
LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arc=01;31:*.arj=01;31:*.taz=01;31:*.lha
=01;31:*.lz4=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.tzo=01;31:*.t7z=01;31:*.zip=01;31:*.z=01;31:*.dz=01;31:*.gz=01;31:*.lrz=01;31:*.lz=01;31:*.lzo=01;31:*.xz=01;31:*.zst=01;31:*.tzst=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.t
bz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.alz=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.cab=01;31:*.wim=01;31:*.swm=01;31:*.dwm=01;31:*.esd=01;31:*.jpg=01;
35:*.jpeg=01;35:*.mjpg=01;35:*.mjpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01
;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:
*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.m4a=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.oga=
01;36:*.opus=01;36:*.spx=01;36:*.xspf=01;36:
LD_LIBRARY_PATH=/cm/shared/apps/slurm/current/lib64/slurm:/cm/shared/apps/slurm/current/lib64
CONDA_EXE=/home/mcmk3/miniconda3/bin/conda
__LMOD_REF_COUNT_PATH=/cm/shared/apps/sdsc/1.0/bin:1;/cm/shared/apps/sdsc/1.0/sbin:1;/cm/shared/apps/slurm/current/sbin:1;/cm/shared/apps/slurm/current/bin:1;/usr/local/bin:1;/usr/bin:1;/usr/local/sbin:1;/usr/sbin:1
_ModuleTable002_=Mixwcm9wVD17fSxbInN0YWNrRGVwdGgiXT0xLFsic3RhdHVzIl09ImFjdGl2ZSIsWyJ1c2VyTmFtZSJdPSJjcHUiLH0sc2RzYz17WyJmbiJdPSIvY20vc2hhcmVkL21vZHVsZWZpbGVzL3Nkc2MvMS4wLmx1YSIsWyJmdWxsTmFtZSJdPSJzZHNjLzEuMCIsWyJsb2FkT3JkZXIiXT00LHByb3BUPXt9LFsi
c3RhY2tEZXB0aCJdPTEsWyJzdGF0dXMiXT0iYWN0aXZlIixbInVzZXJOYW1lIl09InNkc2MiLH0sc2hhcmVkPXtbImZuIl09Ii9jbS9sb2NhbC9tb2R1bGVmaWxlcy9zaGFyZWQiLFsiZnVsbE5hbWUiXT0ic2hhcmVkIixbImxvYWRPcmRlciJdPTEscHJvcFQ9e30sWyJzdGFja0RlcHRoIl09MSxbInN0YXR1cyJdPSJhY3Rpd
mUiLFsidXNlck5hbWUiXT0ic2hhcmVkIix9LHNs
SSH_CONNECTION=132.249.233.139 35636 198.202.100.14 22
HISTCONTROL=ignoredups
SDSC_BIN=/cm/shared/apps/sdsc/1.0/bin
HOSTNAME=login02
LMOD_SYSTEM_DEFAULT_MODULES=DefaultModules
__LMOD_REF_COUNT__LMFILES_=/cm/local/modulefiles/shared:1;/usr/share/modulefiles/cpu/0.15.4.lua:1;/cm/local/modulefiles/slurm/expanse/21.08.8:1;/cm/shared/modulefiles/sdsc/1.0.lua:1;/usr/share/modulefiles/DefaultModules.lua:1
SDSC_DIR=/cm/shared/apps/sdsc/1.0
CONDA_PREFIX=/home/mcmk3/miniconda3/envs/qiime2-2022.8
__LMOD_REF_COUNT_LD_LIBRARY_PATH=/cm/shared/apps/slurm/current/lib64/slurm:1;/cm/shared/apps/slurm/current/lib64:1
R_LIBS_USER=/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/R/library/
_ModuleTable004_=aWxlcyIsIi91c3Ivc2hhcmUvTW9kdWxlcy9tb2R1bGVmaWxlcyIsIi9jbS9zaGFyZWQvbW9kdWxlZmlsZXMiLH0sWyJzeXN0ZW1CYXNlTVBBVEgiXT0iL2NtL2xvY2FsL21vZHVsZWZpbGVzOi9jbS9zaGFyZWQvYXBwcy9hY2Nlc3MvbW9kdWxlZmlsZXM6L2NtL3NoYXJlZC9hcHBzL3hzZWRlL21vZHVs
ZWZpbGVzOi9jbS9zaGFyZWQvbW9kdWxlZmlsZXM6L2V0Yy9tb2R1bGVmaWxlczovdXNyL3NoYXJlL21vZHVsZWZpbGVzOi91c3Ivc2hhcmUvTW9kdWxlcy9tb2R1bGVmaWxlcyIsfQ==
S_COLORS=auto
_CE_M=
which_declare=declare -f
XDG_SESSION_ID=1721
USER=mcmk3
CONDA_PREFIX_1=/home/mcmk3/miniconda3
__LMOD_REF_COUNT_MODULEPATH=/cm/shared/apps/spack/cpu/lmod/linux-centos8-x86_64/Core:1;/cm/local/modulefiles:1;/cm/shared/apps/access/modulefiles:1;/cm/shared/apps/xsede/modulefiles:1;/etc/modulefiles:1;/usr/share/modulefiles:1;/usr/share/Module
s/modulefiles:1;/cm/shared/modulefiles:2
PYTHONNOUSERSITE=/home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python*/site-packages/
__LMOD_REF_COUNT_LOADEDMODULES=shared:1;cpu/0.15.4:1;slurm/expanse/21.08.8:1;sdsc/1.0:1;DefaultModules:1
PWD=/home/mcmk3
ENABLE_LMOD=1
HOME=/home/mcmk3
CONDA_PYTHON_EXE=/home/mcmk3/miniconda3/bin/python
LMOD_COLORIZE=yes
SSH_CLIENT=132.249.233.139 35636 22
LMOD_VERSION=8.2.4
CPATH=/cm/shared/apps/slurm/current/include
LMOD_SETTARG_CMD=:
BASH_ENV=/usr/share/lmod/lmod/init/bash
SDSC_SPACK_STACK=cpu
_CE_CONDA=
__LMOD_REF_COUNT_LIBRARY_PATH=/cm/shared/apps/slurm/current/lib64/slurm:1;/cm/shared/apps/slurm/current/lib64:1
LIBRARY_PATH=/cm/shared/apps/slurm/current/lib64/slurm:/cm/shared/apps/slurm/current/lib64
LMOD_sys=Linux
_ModuleTable001_=X01vZHVsZVRhYmxlXz17WyJNVHZlcnNpb24iXT0zLFsiY19yZWJ1aWxkVGltZSJdPWZhbHNlLFsiY19zaG9ydFRpbWUiXT1mYWxzZSxkZXB0aFQ9e30sZmFtaWx5PXt9LG1UPXtEZWZhdWx0TW9kdWxlcz17WyJmbiJdPSIvdXNyL3NoYXJlL21vZHVsZWZpbGVzL0RlZmF1bHRNb2R1bGVzLmx1YSIsWyJm
dWxsTmFtZSJdPSJEZWZhdWx0TW9kdWxlcyIsWyJsb2FkT3JkZXIiXT01LHByb3BUPXt9LFsic3RhY2tEZXB0aCJdPTAsWyJzdGF0dXMiXT0iYWN0aXZlIixbInVzZXJOYW1lIl09IkRlZmF1bHRNb2R1bGVzIix9LGNwdT17WyJmbiJdPSIvdXNyL3NoYXJlL21vZHVsZWZpbGVzL2NwdS8wLjE1LjQubHVhIixbImZ1bGxOYW1lI
l09ImNwdS8wLjE1LjQiLFsibG9hZE9yZGVyIl09
SLURM_CONF=/cm/shared/apps/slurm/var/etc/expanse/slurm.conf
LOADEDMODULES=shared:cpu/0.15.4:slurm/expanse/21.08.8:sdsc/1.0:DefaultModules
__LMOD_REF_COUNT_MANPATH=/cm/shared/apps/slurm/current/man:1;/usr/share/lmod/lmod/share/man:1
_ModuleTable003_=dXJtPXtbImZuIl09Ii9jbS9sb2NhbC9tb2R1bGVmaWxlcy9zbHVybS9leHBhbnNlLzIxLjA4LjgiLFsiZnVsbE5hbWUiXT0ic2x1cm0vZXhwYW5zZS8yMS4wOC44IixbImxvYWRPcmRlciJdPTMscHJvcFQ9e30sWyJzdGFja0RlcHRoIl09MixbInN0YXR1cyJdPSJhY3RpdmUiLFsidXNlck5hbWUiXT0i
c2x1cm0iLH0sfSxtcGF0aEE9eyIvY20vc2hhcmVkL2FwcHMvc3BhY2svY3B1L2xtb2QvbGludXgtY2VudG9zOC14ODZfNjQvQ29yZSIsIi9jbS9sb2NhbC9tb2R1bGVmaWxlcyIsIi9jbS9zaGFyZWQvYXBwcy9hY2Nlc3MvbW9kdWxlZmlsZXMiLCIvY20vc2hhcmVkL2FwcHMveHNlZGUvbW9kdWxlZmlsZXMiLCIvZXRjL21vZ
HVsZWZpbGVzIiwiL3Vzci9zaGFyZS9tb2R1bGVm
LMOD_ROOT=/usr/share/lmod
CONDA_PROMPT_MODIFIER=(qiime2-2022.8) 
SSH_TTY=/dev/pts/116
MAIL=/var/spool/mail/mcmk3
LMOD_arch=x86_64
__Init_Default_Modules=1
CMD_WLM_CLUSTER_NAME=expanse
TERM=xterm-16color
SHELL=/bin/bash
MPLBACKEND=Agg
_ModuleTable_Sz_=4
__LMOD_REF_COUNT_CPATH=/cm/shared/apps/slurm/current/include:1
SDSC_LIB=/cm/shared/apps/sdsc/1.0/lib
SHLVL=1
SDSC_SBIN=/cm/shared/apps/sdsc/1.0/sbin
MANPATH=/cm/shared/apps/slurm/current/man:/usr/share/lmod/lmod/share/man::/cm/shared/apps/slurm/current/man:/usr/local/share/man:/usr/share/man:/cm/local/apps/environment-modules/current/share/man
LMOD_PREPEND_BLOCK=normal
MODULEPATH=/cm/shared/apps/spack/cpu/lmod/linux-centos8-x86_64/Core:/cm/local/modulefiles:/cm/shared/apps/access/modulefiles:/cm/shared/apps/xsede/modulefiles:/etc/modulefiles:/usr/share/modulefiles:/usr/share/Modules/modulefiles:/cm/shared/modu
lefiles
LOGNAME=mcmk3
DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/532442/bus
XDG_RUNTIME_DIR=/run/user/532442
MODULEPATH_ROOT=/usr/share/modulefiles
PATH=/home/mcmk3/miniconda3/envs/qiime2-2022.8/bin:/home/mcmk3/miniconda3/condabin:/home/mcmk3/.local/bin:/home/mcmk3/bin:/cm/shared/apps/sdsc/1.0/bin:/cm/shared/apps/sdsc/1.0/sbin:/cm/shared/apps/slurm/current/sbin:/cm/shared/apps/slurm/current
/bin:/usr/local/bin:/usr/bin:/usr/local/sbin:/usr/sbin
_LMFILES_=/cm/local/modulefiles/shared:/usr/share/modulefiles/cpu/0.15.4.lua:/cm/local/modulefiles/slurm/expanse/21.08.8:/cm/shared/modulefiles/sdsc/1.0.lua:/usr/share/modulefiles/DefaultModules.lua
MODULESHOME=/usr/share/lmod/lmod
CONDA_DEFAULT_ENV=qiime2-2022.8
LMOD_SETTARG_FULL_SUPPORT=no
HISTSIZE=1000
SDSC_INC=/cm/shared/apps/sdsc/1.0/include
LMOD_PKG=/usr/share/lmod/lmod
LMOD_CMD=/usr/share/lmod/lmod/libexec/lmod
LESSOPEN=||/usr/bin/lesspipe.sh %s
LMOD_FULL_SETTARG_SUPPORT=no
LMOD_DIR=/usr/share/lmod/lmod/libexec
BASH_FUNC_which%%=() {  ( alias;
 eval ${which_declare} ) | /usr/bin/which --tty-only --read-alias --read-functions --show-tilde --show-dot "[email protected]"
}
BASH_FUNC_module%%=() {  eval $($LMOD_CMD bash "[email protected]") && eval $(${LMOD_SETTARG_CMD:-:} -s sh)
}
BASH_FUNC_ml%%=() {  eval $($LMOD_DIR/ml_cmd "[email protected]")
}
_=/usr/bin/env

The offending variable for that question was PYTHONPATH which does not see to be an issue here?

Any advice would be appreciated, thank you! Please let me know if any further information is required.

Hello @Mirte_Kuijpers. It appears that a common cause of the failed to map segment from shared object error is the .so file not being executable. Can you check the read-write-execute permissions on /home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/scipy/interpolate/dfitpack.cpython-38-x86_64-linux-gnu.so and post them here?

Hi @Oddant1,

Thanks for the help! Running ls -l on that file the output is as follows:

-rwxrwxr-x 2 mcmk3 csd683 912376 Jul 25 22:04 /home/mcmk3/miniconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/scipy/interpolate/dfitpack.cpython-38-x86_64-linux-gnu.so

So I have all necessary permissions correct?

Yes, it looks like the issue is something else.

I'm not familiar with this error, but everything I can find online suggests that it has to do with lacking execution permissions. Clearly, the file is executable. You said you're doing this on a server right? Is it possible the drive the file is in doesn't have executable permissions?

I am on a server yes, I have permissions to read write and execute below /home/mcmk3/ but not above (i.e. within mcmk3 but not within home).
However, I have successfully installed and used other conda packages, so this hasn't been a problem previously, if that is helpful to know?

I did some more poking around, and the issue may have something to do with lacking execution permissions in tmp. Can you maybe contact your sysadmin about that and your permissions in general?

They may also have seen this error before.

I got a reply from the admin for the server I am working with. It turns out that even qiime alone cannot be called on the general login node, it needs to be submitted as a job.
Apologies for taking up your time with this, I just hadn't thought that simply checking the installation would run into this problem on the server, as I have been able to do so for other packages.
Thank you for the help troubleshooting!

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.